com.amazonaws.services.simpleworkflow.model

## Class DomainConfiguration

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.DomainConfiguration

All Implemented Interfaces:
  Serializable, Cloneable

    public class DomainConfiguration
    extends Object
    implements Serializable, Cloneable

Contains the configuration settings of a domain.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DomainConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DomainConfiguration` `clone()`
`boolean` `equals(Object obj)`
`String` `getWorkflowExecutionRetentionPeriodInDays()` The retention period for workflow executions in this domain.
`int` `hashCode()`
`void` `setWorkflowExecutionRetentionPeriodInDays(String workflowExecutionRetentionPeriodInDays)` The retention period for workflow executions in this domain.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DomainConfiguration` `withWorkflowExecutionRetentionPeriodInDays(String workflowExecutionRetentionPeriodInDays)` The retention period for workflow executions in this domain.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DomainConfiguration

    public DomainConfiguration()

### Method Detail

#### setWorkflowExecutionRetentionPeriodInDays

    public void setWorkflowExecutionRetentionPeriodInDays(String workflowExecutionRetentionPeriodInDays)

The retention period for workflow executions in this domain.

Parameters:
  `workflowExecutionRetentionPeriodInDays` - The retention period for workflow executions in this domain.

#### getWorkflowExecutionRetentionPeriodInDays

    public String getWorkflowExecutionRetentionPeriodInDays()

The retention period for workflow executions in this domain.

Returns:
  The retention period for workflow executions in this domain.

#### withWorkflowExecutionRetentionPeriodInDays

    public DomainConfiguration withWorkflowExecutionRetentionPeriodInDays(String workflowExecutionRetentionPeriodInDays)

The retention period for workflow executions in this domain.

Parameters:
  `workflowExecutionRetentionPeriodInDays` - The retention period for workflow executions in this domain.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DomainConfiguration clone()

Overrides:
  `clone` in class `Object`